# Method: events.listByPlayer

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/events/listByPlayer#body.HTTP_TEMPLATE)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/events/listByPlayer#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/events/listByPlayer#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/events/listByPlayer#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/events/listByPlayer#body.ListEventsByPlayerResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/events/listByPlayer#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/events/listByPlayer#try-it)

Returns a list showing the current progress on events in this application for the currently authenticated user.

### HTTP request

`GET https://games.googleapis.com/games/v1/events`

### Query parameters

|                                                                                             Parameters                                                                                              ||
|--------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language`   | `string` The preferred language to use for strings returned by this method.                                                                                                           |
| `maxResults` | `integer` The maximum number of events to return in the response, used for paging. For any response, the actual number of events to return may be less than the specified maxResults. |
| `pageToken`  | `string` The token returned by the previous request.                                                                                                                                  |

### Request body

The request body must be empty.

### Response body

A ListByPlayer response.

If successful, the response body contains data with the following structure:

|                                                                   JSON representation                                                                   |
|---------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "nextPageToken": string, "items": [ { object (https://developer.android.com/games/services/web/api/rest/v1/PlayerEvent) } ] } ``` |

|                                                                  Fields                                                                   ||
|-----------------|--------------------------------------------------------------------------------------------------------------------------|
| `kind`          | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#playerEventListResponse`. |
| `nextPageToken` | `string` The pagination token for the next page of results.                                                              |
| `items[]`       | `object (`[PlayerEvent](https://developer.android.com/games/services/web/api/rest/v1/PlayerEvent)`)` The player events.  |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).